import { ChainEntityBase, Change, Created, EntityFilter, Info, Organized } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.Group <br/>
*/
export interface Group extends ChainEntityBase, Created, Organized {
    change?: Change;
    created?: Change;
    info?: Info;
    /**
    *	@example users
    */
    name?: string;
    /**
    *	@example YUK
    */
    orgId?: string;
    /**
    *	@example all
    */
    parentId?: string;
    roles?: string[];
    /**
    *	@example sys
    */
    type?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.GroupFilter <br/>
*/
export interface GroupFilter extends EntityFilter {
    /**
    *	@example ADMINS
    */
    groupName?: string;
    orgId?: string;
    /**
    *	@example all
    */
    parentId?: string;
    /**
    *	@example system
    */
    type?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.Membership <br/>
*/
export interface Membership extends Organized {
    /**
    *	@example users
    */
    groupName?: string;
    /**
    *	@example users
    */
    orgId?: string;
    usernames?: string[];
}
