import { Address, AddressFilter, ChainEntity, Change, Changed, Created, EntityFilter, Info, Organized } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.org.Org <br/>
*/
export interface Org extends ChainEntity, Changed, Created, Organized {
    addresses?: Address[];
    change?: Change;
    /**
    *	@example Yukawa Systems GmbH
    */
    companyName?: string;
    created?: Change;
    /**
    *	@example yukawa@example.com
    */
    email?: string;
    icon?: string;
    info?: Info;
    /**
    *	@example yuk
    */
    orgId?: string;
    /**
    *	@example +49 100 200 300
    */
    phoneNumber?: string;
    /**
    *	@example DE113344
    */
    taxId?: string;
    /**
    *	@example http://yukawa.de/
    */
    website?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.org.OrgFilter <br/>
*/
export interface OrgFilter extends EntityFilter {
    addressFilter?: AddressFilter;
    companyName?: string;
    email?: string;
    phoneNumber?: string;
    /**
    *	@example DE113344
    */
    taxId?: string;
    website?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.org.OrgInvitation <br/>
*/
export interface OrgInvitation extends Organized {
    groups?: string[];
    /**
    *	@example yuk
    */
    orgId?: string;
    username?: string;
}
