import { Change, Changed, Created, EntityFilter, Owner, Person, PersonFilter } from '@yukawa/chain-base-angular-domain';
import { Account, GroupContext } from '@yukawa/chain-security-angular-core';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.user.User <br/>
*/
export interface User extends Changed, Created {
    account?: Account;
    created?: Change;
    defaultOrgId?: string;
    details?: {
        [key: string]: Object;
    };
    groupContexts?: GroupContext[];
    /**
    *	@deprecated
    */
    groups?: string[];
    orgIds?: string[];
    owner?: Owner;
    person?: Person;
    /**
    *	@example admin
    */
    username?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.user.UserFilter <br/>
*/
export interface UserFilter extends EntityFilter {
    defaultOrgId?: string;
    fields?: string[];
    groups?: string[];
    headers?: string[];
    orgIds?: string[];
    personFilter?: PersonFilter;
    /**
    *	@example admin
    */
    username?: string;
}
